﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Groups
{
    /// <summary>
    /// 团组汇率表
    /// </summary>
    [SugarTable("Grp_TeamRate")]
    public class Grp_TeamRate: EntityBase
    {
        /// <summary>
        /// 团组id
        /// </summary>
        [SugarColumn(IsNullable =true,ColumnDataType ="int")]
        public int DiId { get; set; }

        /// <summary>
        /// 团组指向分类
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int CTable { get; set; }
        /// <summary>
        /// 其他汇率名称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string OtherRate { get; set; }

        /// <summary>
        /// 其他汇率金额
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string OtherPrice { get; set; }

        /// <summary>
        /// 美元汇率
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string RateU { get; set; }

        /// <summary>
        /// 欧元汇率
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string RateE { get; set; }
        /// <summary>
        /// 日元汇率
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string RateJ { get; set; }
        /// <summary>
        /// 港币汇率
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string RateH { get; set; }
        /// <summary>
        /// 新西兰元汇率
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string RateN { get; set; }
        /// <summary>
        /// 新加坡币汇率
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string RateS { get; set; }
        /// <summary>
        /// 澳大利亚元汇率
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string RateA { get; set; }
        /// <summary>
        /// 加拿大元汇率
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string RateC { get; set; }
        /// <summary>
        /// 泰铢汇率
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string RateT { get; set; }
        /// <summary>
        /// 波兰汇率
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string RateBL { get; set; }
        /// <summary>
        /// 韩币
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string RateHB { get; set; }
        /// <summary>
        /// 斐济币汇率
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string RateFJD { get; set; }
        /// <summary>
        /// 土耳其币汇率
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string RateTL { get; set; }
        /// <summary>
        /// 卢比汇率
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string RateRP { get; set; }
        /// <summary>
        /// 菲律宾汇率
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string RatePeso { get; set; }
        /// <summary>
        /// 马来西亚汇率
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string RateMYR { get; set; }
        /// <summary>
        /// 捷克币汇率
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string RateCZK { get; set; }
        /// <summary>
        /// 墨西哥币汇率
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string RateMXN { get; set; }
        /// <summary>
        /// 澳门元
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string RateMOP { get; set; }
        /// <summary>
        /// 阿根廷比索
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string RateARS { get; set; }
        /// <summary>
        /// 匈牙利货币
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string RateHUF { get; set; }
        /// <summary>
        /// 俄罗斯卢布
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string RateRUB { get; set; }
    }
}
